## splix 2.0.0+svn306

=== ppd/Makefile ===
#
# 	Makefile			(C) 2006, Aurélien Croc (AP²C)
#
#  This project has been placed under the GPL Licence.
#
#

SOURCE		:= samsung.drv.in dell.drv.in xerox.drv.in lexmark.drv.in toshiba.drv.in
DRVS		:= samsung.drv dell.drv xerox.drv lexmark.drv toshiba.drv
DELL		:= 1100 1110
SAMSUNG		:= clp500 clp550 clp510 clp610 clp610nd ml1510 ml1520 ml1610 \
		   ml1630 ml1640 ml1660 ml1710 ml1740 ml1750 ml1910 ml1915 \
                   ml2010 ml2015 ml2150 ml2240 ml2250 ml2251 ml2510 ml2525 \
                   ml2525w ml2550 ml2571 ml2580 ml2580n ml3050 ml3051 \
		   ml3051nd ml3471nd ml3560 scx3200 scx4100 scx4200 scx4216f \
		   scx4300 scx4500 scx4521f scx4600 scx4623f scx4623fw \
		   scx5330n scx5530fn sf565p
XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3124 ph3130 \
		   ph3140 ph3150 ph3155 ph3160 ph3420 ph3425 ph5500 ph6100 \
		   wc3119 wcpe16 wcpe114e
LEXMARK		:= x215mfp
TOSHIBA		:= es180s
DRIVERSEXT	:= ppd
POEXT		:= po
PODIR		:= po
LANGUAGES 	:= fr pt
# === MAKE ALL PPD BY DEFAULT ====
ifneq ($(DISABLE_JBIG),1)
SAMSUNG 	+= clp200 clp300 clp310 clp315 clp310n clp600 clx216x clx2170 \
                   clx3160
XEROX		+= ph6110
endif
DRIVERS		:= $(DELL) $(SAMSUNG) $(XEROX) $(LEXMARK) $(TOSHIBA)

# === DON'T CHANGE ANYTHING AFTER THIS MESSAGE ====

MASTERDRIVER	:= $(shell echo "${DRIVERS}" | awk '{ print $$1 }')
DRIVER		:= $(MASTERDRIVER).$(DRIVERSEXT)
LANGDRIVERS	:= $(foreach name, $(LANGUAGES), $(MASTERDRIVER)$(name))
LANGDRIVERSEXT	:= $(addsuffix .$(DRIVERSEXT), $(LANGDRIVERS))
printCmd        = $(if $(filter $(V),1),,$(shell echo "@echo \"    $(1)\""))


all:

.PHONY: drv
drv: $(SOURCE)
	./compile.sh samsung.drv.in drv
	./compile.sh dell.drv.in drv
	./compile.sh xerox.drv.in drv
	./compile.sh lexmark.drv.in drv
	./compile.sh toshiba.drv.in drv

.PHONY: ppd
ppd: $(DRIVER) $(LANGDRIVERSEXT)

$(DRIVER): $(SOURCE)
	./compile.sh samsung.drv.in -I . -d ./
	./compile.sh dell.drv.in -I . -d ./
	./compile.sh xerox.drv.in -I . -d ./
	./compile.sh lexmark.drv.in -I . -d ./
	./compile.sh toshiba.drv.in -I . -d ./

$(LANGDRIVERSEXT): $(SOURCE) $(patsubst %, $(PODIR)/%.$(POEXT), $(LANGUAGES))
	lang=$(patsubst $(MASTERDRIVER)%.$(DRIVERSEXT),%, $@); \
	./compile.sh samsung.drv.in -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
	for filename in ${SAMSUNG}; do \
		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
	done; \
	./compile.sh xerox.drv.in -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
	for filename in ${XEROX}; do \
		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
	done; \
	./compile.sh dell.drv.in -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
	for filename in ${DELL}; do \
		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
	done; \
	./compile.sh lexmark.drv.in -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
	for filename in ${LEXMARK}; do \
		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
	done; \
	./compile.sh toshiba.drv.in -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
	for filename in ${TOSHIBA}; do \
		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
	done;

.PHONY: update
update: $(patsubst %, $(PODIR)/%.$(POEXT), $(LANGUAGES))
%.po: $(SOURCE)
	./compile.sh samsung.drv.in lang $@
	./compile.sh dell.drv.in lang $@
	./compile.sh xerox.drv.in lang $@
	./compile.sh lexmark.drv.in lang $@
	./compile.sh toshiba.drv.in lang $@

cmd_install_samsung	= INSTALL           Samsung PPD files
cmd_install_xerox	= INSTALL           Xerox PPD files
cmd_install_dell	= INSTALL           Dell PPD files
cmd_install_lexmark	= INSTALL           Lexmark PPD files
cmd_install_toshiba	= INSTALL           Toshiba PPD files
cmd_install_drv		= INSTALL           DRV files
.PHONY: install
install:
ifneq  ($(DRV_ONLY),1)
	$(call printCmd, $(cmd_install_samsung))
	$(Q)install -d -m 755 ${DESTDIR}${CUPSPPD}/samsung
	$(Q)for filename in ${SAMSUNG}; do \
		install -m 644 $$filename.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/samsung;\
		for lang in ${LANGUAGES}; do \
			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/samsung;\
		done; \
	done;
	$(call printCmd, $(cmd_install_xerox))
	$(Q)install -d -m 755 ${DESTDIR}${CUPSPPD}/xerox
	$(Q)for filename in ${XEROX}; do \
		install -m 644 $$filename.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/xerox;\
		for lang in ${LANGUAGES}; do \
			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/xerox;\
		done; \
	done;
	$(call printCmd, $(cmd_install_dell))
	$(Q)install -d -m 755 ${DESTDIR}${CUPSPPD}/dell
	$(Q)for filename in ${DELL}; do \
		install -m 644 $$filename.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/dell;\
		for lang in ${LANGUAGES}; do \
			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/dell;\
		done; \
	done;
	$(call printCmd, $(cmd_install_lexmark))
	$(Q)install -d -m 755 ${DESTDIR}${CUPSPPD}/lexmark
	$(Q)for filename in ${LEXMARK}; do \
		install -m 644 $$filename.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/lexmark;\
		for lang in ${LANGUAGES}; do \
			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/lexmark;\
		done; \
	done;
	$(call printCmd, $(cmd_install_toshiba))
	$(Q)install -d -m 755 ${DESTDIR}${CUPSPPD}/toshiba
	$(Q)for filename in ${TOSHIBA}; do \
		install -m 644 $$filename.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/toshiba;\
		for lang in ${LANGUAGES}; do \
			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/toshiba;\
		done; \
	done;
else
	$(call printCmd, $(cmd_install_drv))
	$(Q)install -d -m 755 ${DESTDIR}${CUPSDRV}
	$(Q)for filename in ${DRVS}; do \
		install -m 644 $$filename ${DESTDIR}${CUPSDRV};\
		done;
endif

.PHONY: clean distclean
clean:
distclean:
	$(RM) *.${DRIVERSEXT}
	$(RM) *.drv

=== debian/changelog ===
splix (2.0.0+svn306-2) unstable; urgency=low

  * Properly pre-process drv files during build. (Closes: #670823)

 -- Luca Niccoli <lultimouomo@gmail.com>  Sun, 29 Apr 2012 13:32:22 +0200

splix (2.0.0+svn306-1) unstable; urgency=low

  * New upstream version: allows installing .drv files instead of PPDs.
  * The last patent on JBIG has now expired and we have libjbig in
    Debian, let's use it. (Closes: #457650, #507247)
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Thanks to Didier Raboud for the prevois NMU.

 -- Luca Niccoli <lultimouomo@gmail.com>  Mon, 23 Apr 2012 00:01:30 +0200

splix (2.0.0+svn300-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * printer-driver-splix: Add versioned Replaces/Breaks against splix to
    ensure smooth upgrades (Closes: #655918).

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Feb 2012 19:23:30 +0100

=== debian/control ===
Source: splix
Section: text
Priority: optional
Maintainer: Luca Niccoli <lultimouomo@gmail.com>
Build-Depends: debhelper (>= 7), libcupsimage2-dev, libjbig-dev
Standards-Version: 3.9.3
Homepage: http://splix.ap2c.org/

Package: printer-driver-splix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cups (>= 1.5.0-3~),
 cups-client, ghostscript-cups
Replaces: splix (<< 2.0.0+svn299-1)
Breaks: splix (<< 2.0.0+svn299-1)
Description: Driver for Samsung and Xerox SPL2 and SPLc laser printers
 Support for printing to SPL2- and SPLc-based printers. These are most
 of the cheaper Samsung laser printers which do not understand standard
 languages like PostScript or PCL. Both monochrome (ML-15xx, ML-16xx,
 ML-17xx, ML-2xxx) and color (CLP-5xx, CLP-6xx) models are supported.
 Also some rebranded Samsungs like the Xerox Phaser 6100 work with this
 driver.
 .  
 Note that older SPL1-based models (ML-12xx, ML-14xx) do not work. Use
 these printers with the older "gdi" driver which is built into
 GhostScript.

Package: splix
Depends: printer-driver-splix, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional dummy package for splix printer driver
 This is a transitional dummy package to transition to uniformly named
 printer-driver-splix.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) drv
	$(MAKE) DRV_ONLY=1 rastertoqpdl_LIBS="-lcupsimage -lcups -lpthread -ljbig" pstoqpdl_LIBS="-lcupsimage -lcups -ljbig"
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) cleanppd
	$(MAKE) clean DRV_ONLY=1 
	dh_clean optimized/pstoqpdl optimized/rastertoqpdl optimized/src/* debug/src/* .defs.mk

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/printer-driver-splix CUPSPPD=/usr/share/ppd/splix DRV_ONLY=1 install
	install -D --mode=644 debian/splix.ppd-updater $(CURDIR)/debian/printer-driver-splix/usr/share/cups/ppd-updaters/splix.ppd-updater

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## splix 2.0.0+svn308

=== ppd/Makefile ===
--- 
+++ 
@@ -8,13 +8,14 @@
 SOURCE		:= samsung.drv.in dell.drv.in xerox.drv.in lexmark.drv.in toshiba.drv.in
 DRVS		:= samsung.drv dell.drv xerox.drv lexmark.drv toshiba.drv
 DELL		:= 1100 1110
-SAMSUNG		:= clp500 clp550 clp510 clp610 clp610nd ml1510 ml1520 ml1610 \
+SAMSUNG		:= clp500 clp550 clp510 ml1510 ml1520 ml1610 \
 		   ml1630 ml1640 ml1660 ml1710 ml1740 ml1750 ml1910 ml1915 \
                    ml2010 ml2015 ml2150 ml2240 ml2250 ml2251 ml2510 ml2525 \
                    ml2525w ml2550 ml2571 ml2580 ml2580n ml3050 ml3051 \
 		   ml3051nd ml3471nd ml3560 scx3200 scx4100 scx4200 scx4216f \
 		   scx4300 scx4500 scx4521f scx4600 scx4623f scx4623fw \
 		   scx5330n scx5530fn sf565p
+#SAMSUNG		+= clp610 clp610nd
 XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3124 ph3130 \
 		   ph3140 ph3150 ph3155 ph3160 ph3420 ph3425 ph5500 ph6100 \
 		   wc3119 wcpe16 wcpe114e

=== debian/changelog ===
splix (2.0.0+svn308-0ubuntu1) raring; urgency=low

  * New upstream bug fix release
     - Made pstoqpdl filter working with input from iOS (iPhone, iPad).
     - Removed support for the Samsung CLP-610 and CLP-610ND, these printers
       do not work with SpliX (LP: #898986).
  * debian/patches/0005-samsung-clp-610-610nd-do-not-work.patch: Removed,
    incorporated upstream.
  * debian/patches/0003-Rename-drv-stubs.patch: Updated for new upstream
    code.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 08 Apr 2013 11:00:10 +0200

splix (2.0.0+svn306-2ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/patches/0005-samsung-clp-610-610nd-do-not-work.patch: Removed
      support for the Samsung CLP-610 and CLP-610ND, these printers do not
      work with SpliX (LP: #898986).
    - debian/README.debian: Updated.
    - debian/local/apport-hook.py: Apport hook.
    - debian/splix.ppd-updater: Fixed for use with dynamically generated
      PPD file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat,  7 Jul 2012 20:12:00 +0200

splix (2.0.0+svn300-1.1ubuntu2) precise; urgency=low

  * debian/rules: Removed PPD files for the Samsung CLP-610 and CLP-610ND,
    these printers do not work with SpliX (LP: #898986).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  6 Mar 2012 09:20:00 +0100

splix (2.0.0+svn300-1.1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/README.debian: Updated.
    - debian/rules, debian/copyright: Activated drivers with JBIG compression,
      the patent on the algorithm expires on April 4, 2012, right before release
      of Ubuntu Precise.
    - debian/local/jbigkit-libjbig85/: Added source code of the libjbig85
      static library for JBIG compression, a part of jbigkit from
      http://www.cl.cam.ac.uk/~mgk25/jbigkit/.
    - debian/rules, debian/control, debian/splix.ppd-updater:
      Compress PPD files with pyppd.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Feb 2012 13:30:00 +0100

## splix 2.0.0+svn315

=== Makefile ===
#
#	Makefile		(C) 2006-2008, Aurélien Croc (AP²C)
#
# This project is under the GPL Licence
#
# Available MAKE options:
#      * V sets to 1 for verbose mode
# 
# Available variables in module.mk :
#      * SUBDIRS
#      * MODE = {default,debug,optimized}
#      * CFLAGS
#      * CXXFLAGS
#      * LDFLAGS
#      * DEBUG_CFLAGS
#      * DEBUG_CXXFLAGS
#      * OPTIMIZED_CFLAGS
#      * OPTIMIZED_CXXFLAGS
#      * TARGETS
#      * GENERIC_TARGETS
#      * PRE_GENERIC_TARGETS
#      * directory1_directory2_file_ext_FLAGS
#
# Each project must be listed in the TARGETS variable. Next:
#      * project1_SRC
#      * project1_LIB
#      * project1_CFLAGS
#      * project1_LDFLAGS
#      * project1_MODULES
#      * project1_CXXFLAGS
#      * ...
#
# This Makefile will generate:
#      * project1_TARGET
#      * project1_OBJ
#
#
# In the file rules.mk:
#
# You can add your own rules
# 
# To add a new target file support, please add the target extension in the
# TARGET_RULES variable and define the function targetDefinition_{extension}.
# This function will be called with one parameters: the target name
# Like the examples above, use $(value $(1)_TARGET) or _OBJ, .. to access
# to useful informations
#
#
# /!\ = Please do your modifications in the module.mk file = /!\
# 


# +--------------------------------------------------------------------------+
# |   SUPPORTED LANGUAGES, DIRECTORIES ARCHI AND TOOLS LOCATIONS & FLAGS     |
# +--------------------------------------------------------------------------+
LANGUAGES	:= cpp c

CC		:= gcc
CXX		:= g++
RM		:= rm -f
AR		:= ar crs
LEX		:= flex
YACC		:= bison
LINKER		:= $(CXX)

DEPDIR          := .deps
BUILDDIR        := .build
TARGETDIR       := .


empty           :=
space           := $(empty) $(empty)
comma           := ,

DEBUG_CFLAGS    := -O0 -g
DEBUG_CXXFLAGS  := -O0 -g
OPTIM_CFLAGS	:= -O2
OPTIM_CXXFLAGS	:= -O2

ARCHI           := $(shell uname -s)

ifeq ($(ARCHI),Darwin)
PLUGIN_EXT      := bundle
LIBRARY_EXT     := dylib
else
PLUGIN_EXT      := so
LIBRARY_EXT     := so
endif


# +--------------------------------------------------------------------------+
# |   DEFINITIONS VARIABLE LOADING                                           |
# +--------------------------------------------------------------------------+

MODE		:= default
DEFFILE		:= .defs.mk
-include $(DEFFILE)



# +--------------------------------------------------------------------------+
# |   SUBDIRS LOADING                                                        |
# +--------------------------------------------------------------------------+

include module.mk
ifeq ($(DEFLOADED),1)
include $(patsubst %, %/module.mk, $(_SUBDIRS))
endif # DEFLOADED == 1
ifeq ($(DEFDONE),1)




# +--------------------------------------------------------------------------+
# |   COMPILATION MODE INITIALIZATION                                        |
# +--------------------------------------------------------------------------+

ifeq ($(MAKECMDGOALS),debug)
MODE            := debug
endif #MAKECMDGOALS == debug
ifeq ($(MAKECMDGOALS),optimized)
MODE            := optimized
endif #MAKECMDGOALS == optimized
ifeq ($(MAKECMDGOALS),default)
MODE            := default
endif #MAKECMDGOALS == default

ifeq ($(MODE),debug)            # DEBUG
CFLAGS		+= $(DEBUG_CFLAGS)
CXXFLAGS	+= $(DEBUG_CXXFLAGS)
BUILDDIR	:= debug
TARGETDIR	:= debug
DEPDIR		:= debug
else
ifeq ($(MODE),optimized)        # OPTIMIZED
CFLAGS		+= $(OPTIM_CFLAGS)
CXXFLAGS	+= $(OPTIM_CXXFLAGS)
BUILDDIR	:= optimized
TARGETDIR	:= optimized
DEPDIR		:= optimized
endif # MODE == optimized
endif # MODE == debug



# +--------------------------------------------------------------------------+
# |   VERBOSE MODE AND INITIALIZATION                                        |
# +--------------------------------------------------------------------------+

V := 
ifeq ($(V),1) 
	Q := 
else
	Q := @
endif



# +--------------------------------------------------------------------------+
# |   MAIN RULES AND TARGETS                                                 |
# +--------------------------------------------------------------------------+

_TARGETS	:= $(foreach target,$(TARGETS),$(TARGETDIR)/$(target))
_TARGETS	:= $(PRE_GENERIC_TARGETS) $(_TARGETS) $(GENERIC_TARGETS)

all: $(_TARGETS)
debug: $(_TARGETS)
optimized: $(_TARGETS)



# +--------------------------------------------------------------------------+
# |   MACRO DEFINITIONS                                                      |
# +--------------------------------------------------------------------------+

# Function to print smart messages
printCmd	= $(if $(filter $(V),1),,$(shell echo "@echo \"    $(1)\""))

# Get the target variable name
targetName	= $(subst .,_,$(subst /,_,$(1)))

# Specific flags definition
flags            = $(value $(subst /,_,$(subst .,_,$(1)))_FLAGS)
flag            = $(subst /,_,$(subst .,_,$(1)))_FLAGS



# +--------------------------------------------------------------------------+
# |   LOAD AND GENERATE DEPENDENCIES FILES                                   |
# +--------------------------------------------------------------------------+

# Get all the source files in ALLSRC
ALLSRC          := $(foreach target,$(call targetName,$(TARGETS)),$(value \
                        $(target)_SRC))

# Get the dependencies files
DEPENDENCIES    := $(foreach lang,$(LANGUAGES),$(patsubst %.$(lang), %.d, \
                   $(filter %.$(lang),$(ALLSRC))))

# Generate dependencies files for C++ source file
$(DEPDIR)/%.d: %.cpp
	@mkdir -p $(dir $@)
	@$(CXX) $(CXXFLAGS) -MM -MP -MG -MT "\$$(DEPDIR)/$(basename $<).d \
		\$$(BUILDDIR)/$(basename $<).o" -MG "$<" -MF $@

# Load dependencies files 
-include $(foreach dep,$(DEPENDENCIES),$(DEPDIR)/$(dep))



# +--------------------------------------------------------------------------+
# |   PREVENT LOADING RULES IF DEFFILE IS NOT COMPLET                        |
# +--------------------------------------------------------------------------+

else
TARGETS	:= $(empty)

endif # DEFDONE == 1



# +--------------------------------------------------------------------------+
# |   OBJECTS AND TARGETS DEFINITIONS                                        |
# +--------------------------------------------------------------------------+


# Define target variables
defineTarget	= $(call targetName,$(1))_TARGET  := $(TARGETDIR)/$(1)

# Define target object variables
define defineObject
$(1)_OBJ	:= $(foreach obj,$(foreach lang,$(LANGUAGES),$(patsubst \
			%.$(lang),%.o,$(filter %.$(lang),$(value $(1)_SRC)))), \
			$(BUILDDIR)/$(obj)) \
		   $(foreach module,$(value \
			$(1)_MODULES),$(TARGETDIR)/$(module)) \
		   $(foreach obj,$(patsubst %.l,%.l.o,$(filter %.l,$(value \
			$(1)_SRC))),$(BUILDDIR)/$(obj)) \
		   $(foreach obj,$(patsubst %.y,%.yy.o,$(filter %.y,$(value \
			$(1)_SRC))),$(BUILDDIR)/$(obj))
$(1)_CLEAN	:= $(foreach obj,$(patsubst %.y,%.yy.h,$(filter %.y,$(value \
			$(1)_SRC))),$(BUILDDIR)/$(obj))
endef

# Create these definitions
$(foreach target,$(TARGETS),$(eval $(call defineTarget,$(strip $(target)))) \
	$(eval $(call defineObject,$(strip $(call targetName,$(target))))))



# +--------------------------------------------------------------------------+
# |   SMART MESSAGE PRINTING                                                 |
# +--------------------------------------------------------------------------+


# Smart messages
cmd_ar_a_o	= AR                $@
cmd_cc_o_c	= CC                $<
cmd_cxx_o_cpp	= CXX               $<
cmd_yacc_h	= YACC [H]          $<
cmd_yacc_cpp	= YACC [CPP]        $<
cmd_lex_cpp	= LEX               $<
cmd_link	= LINK              $@
cmd_ln_so_o	= LINK [M]          $@
cmd_rm_clean	= RM                *.o
cmd_rm_distclean = RM                $(_TARGETS) *.d $(DEFFILE)



# +--------------------------------------------------------------------------+
# |   TARGET RULES                                                           |
# +--------------------------------------------------------------------------+

TARGET_RULES    := a so bundle

# Archives
define targetDefinition_a
$(value $(1)_TARGET): $(value $(1)_OBJ)
	$$(call printCmd, $$(cmd_ar_a_o))
	$$(Q)$$(AR) $$@ $$^
endef
-include rules.mk

# Plugins (for MacOS X)
define targetDefinition_bundle
$(value $(1)_TARGET): $(value $(1)_OBJ) $(value $(1)_LOADER)
	$$(call printCmd, $$(cmd_ln_so_o))
	$$(Q)$$(LINKER) $$(MODULE_FLAGS) $$(LDFLAGS) -o $$@ $$(value $(1)_OBJ) \
		-bundle -bundle_loader $$(value $(1)_LOADER) \
		$$(value $(1)_LIBS) $$(value $(1)_FLAGS) $$(LIBS)
endef

# Plugins and libaries (for UNIXes)
define targetDefinition_so
$(value $(1)_TARGET): $(value $(1)_OBJ)
	$$(call printCmd, $$(cmd_ln_so_o))
	$$(Q)$$(LINKER) $$(MODULE_FLAGS) $$(LDFLAGS) -o $$@ $$(value $(1)_OBJ) \
		-rdynamic -shared $$(value $(1)_LIBS) $$(value $(1)_FLAGS) \
		$$(LIBS)
endef

rulesTarget	:= $(foreach rules,$(TARGET_RULES),$(filter \
			%.$(rules),$(TARGETS)))
$(foreach target,$(rulesTarget),$(eval $(call targetDefinition_$(subst \
	.,,$(suffix $(target))),$(call targetName,$(target)))))



# +--------------------------------------------------------------------------+
# |   COMPILATION RULES                                                      |
# +--------------------------------------------------------------------------+

# C Files
$(BUILDDIR)/%.o: $(BUILDDIR)/%.c
	$(call printCmd, $(cmd_cc_o_c))
	@mkdir -p $(dir $@)
	$(Q)$(CC) $(CFLAGS) $(call flags,$<) -o $@ -c $<
$(BUILDDIR)/%.o: %.c
	$(call printCmd, $(cmd_cc_o_c))
	@mkdir -p $(dir $@)
	$(Q)$(CC) $(CFLAGS) $(call flags,$<) -o $@ -c $<

# C++ Files
$(BUILDDIR)/%.o: $(BUILDDIR)/%.cpp
	$(call printCmd, $(cmd_cxx_o_cpp))
	@mkdir -p $(dir $@)
	$(Q)$(CXX) $(CXXFLAGS) $(call flags,$<) -o $@ -c $<
$(BUILDDIR)/%.o: %.cpp
	$(call printCmd, $(cmd_cxx_o_cpp))
	@mkdir -p $(dir $@)
	$(Q)$(CXX) $(CXXFLAGS) $(call flags,$<) -o $@ -c $<

# Yacc compilation
$(BUILDDIR)/%.yy.h: %.y
	$(call printCmd, $(cmd_yacc_h))
	@mkdir -p $(dir $@)
	$(Q)$(YACC) $(call flags,$<) -d -b $(basename $(basename $@)) \
		-p $(basename $(notdir $<)) $<
	$(Q)rm $(basename $(basename $@)).tab.c
	$(Q)mv $(basename $(basename $@)).tab.h $(basename $@).h
$(BUILDDIR)/%.yy.cpp: %.y
	$(call printCmd, $(cmd_yacc_cpp))
	@mkdir -p $(dir $@)
	$(Q)$(YACC) $(call flags,$<) -b $(basename $(basename $@)) \
		-p $(basename $(notdir $<)) -o $@ $<

# Lex compilation
$(BUILDDIR)/%.l.cpp: %.l $(BUILDDIR)/%.yy.h
	$(call printCmd, $(cmd_lex_cpp))
	$(Q)$(LEX) $(call flags,$<) -P$(basename $(notdir $<)) -t $< > $@



# +--------------------------------------------------------------------------+
# |   CLEAN RULES                                                            |
# +--------------------------------------------------------------------------+

.PHONY: clean distclean
clean:
	$(call printCmd, $(cmd_rm_clean))
	$(Q)$(RM) $(foreach target,$(TARGETS),$(value $(call \
		targetName,$(target))_OBJ) $(value $(target)_CLEAN))

distclean: clean
	$(call printCmd, $(cmd_rm_distclean))
	$(Q)$(RM) $(foreach dep,$(DEPENDENCIES),$(DEPDIR)/$(dep))
	$(Q)$(RM) $(_TARGETS)
	$(Q)$(RM) $(DEFFILE)



# +--------------------------------------------------------------------------+
# |   GET ALL SUBDIRS TO EXPLORE                                             |
# +--------------------------------------------------------------------------+

# Generate the defs.mk file which contains sub directories
$(DEFFILE): Makefile $(patsubst %, %/module.mk, $(SUBDIRS)) module.mk
	@echo -n "     GEN               $(DEFFILE)"
	@echo "" > $@
	@make -s -C ./ _depsreload

.PHONY: _depsreload
_depsreload:
	@echo -n "."
	@echo "DEFLOADED := 1" > $(DEFFILE)
	@echo "_SUBDIRS := $(SUBDIRS)" >> $(DEFFILE)
	@if [ "$(SUBDIRS)" != "$(_SUBDIRS)" ]; then make -j 1 -s -C ./ _depsreload; \
		else echo "DEFDONE := 1" >> $(DEFFILE); echo ""; fi

=== tools/Makefile ===
#
#   Makefile			(C) 2006-2007, Aurélien Croc (AP²C)
# 

SRCS_decompress	:= decompress.cpp appliargs.cpp pjl.cpp qpdl.cpp page.cpp \
		   algo0x11.cpp
HEADERS_decompress:= appliargs.h i18n.h pjl.h qpdl.h page.h algo0x11.h

SRCS_jbgtopbm	:= jbgtopbm.cpp appliargs.cpp
HEADERS_jbgtopbm:= appliargs.h

PROJECTS	:= decompress jbgtopbm

CXXFLAGS  	:= -O0 -g `pkg-config QtCore --cflags`
LIBS		:= `pkg-config QtCore --libs`

OBJS_decompress	:= $(SRCS_decompress:.cpp=.o)
OBJS_jbgtopbm	:= $(SRCS_jbgtopbm:.cpp=.o)

all: $(PROJECTS)

$(OBJS_decompress): $(HEADERS_decompress)
$(OBJS_jbgtopbm): $(HEADERS_jbgtopbm)

decompress: $(OBJS_decompress)
	$(CXX) -o $@ $(LDFLAGS) $^ $(LIBS)

jbgtopbm: $(OBJS_jbgtopbm)
	$(CXX) -o $@ $(LDFLAGS) $^ $(LIBS) -ljbig

.PHONY: clean cleanall
clean:
	$(RM) $(OBJS_decompress) $(OBJS_jbgtopbm)

cleanall: clean
	$(RM) $(PROJECTS)

=== debian/changelog ===
splix (2.0.0+svn315-7) unstable; urgency=medium

  * Team upload

  * Bump Standards-Version to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o
  * Initialize git-dpm

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 17:12:05 +0100

splix (2.0.0+svn315-6) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTCBFS: Use triplet-prefixed compilers (Closes: #837182)

  [ Didier Raboud ]
  * Drop splix transitional package which reached stable

 -- Didier Raboud <odyx@debian.org>  Sun, 11 Sep 2016 16:01:42 +0200

splix (2.0.0+svn315-5) unstable; urgency=medium

  * Team upload

  * Bump S-V to 3.9.8 without changes needed
  * Add patch to avoid letting bash trim whitespace when compiling .drv files;
    should make the build reproducible
  * Add patch to fix the aready/already typo
  * Set hardening=+all in DEB_BUILD_MAINT_OPTIONS

 -- Didier Raboud <odyx@debian.org>  Sun, 12 Jun 2016 17:04:03 +0200

splix (2.0.0+svn315-4) unstable; urgency=medium

  * Team upload

  [ Didier Raboud <odyx@debian.org> ]
  * Depend on cups-filters (>= 1.0.36) instead of ghostscript-cups for the
    gstoraster filter (Closes: #761316)

 -- Didier Raboud <odyx@debian.org>  Thu, 18 Sep 2014 12:19:17 +0200

splix (2.0.0+svn315-3) unstable; urgency=low

  * Team upload

  [ Luca Niccoli ]
  * Separate build of arch-independent packages

  [ Didier Raboud ]
  * Move the repository from collab-maint to printing; update the VCS-* fields
    accordingly

 -- Didier Raboud <odyx@debian.org>  Thu, 17 Apr 2014 08:20:55 +0200

splix (2.0.0+svn315-2) unstable; urgency=low

  * Include missing apport-hook.py in source package

 -- Luca Niccoli <lultimouomo@gmail.com>  Wed, 15 Jan 2014 19:40:27 +0100

splix (2.0.0+svn315-1) unstable; urgency=low

  * Imported Upstream SVN snapshot (revision 315)
    - Add support for Samsung ML-2160 (Closes: #696240).
    - Add support for Samsung ML-2165.
  * Drop patches that have been merged upstream
  * Imported existing quilt patches into gbp-pq and refreshed them for
    the new upstream version.
  * Set debian build flags during build.
  * Fixed splix.ppd-updater (Thanks to Till Kamppeter).
  * Add apport hook on Ubuntu and derivatives (reduces the package delta).
  * Add get-orig-source target to fetch recreate the tarball from upstream SVN.
  * Make build verbose to have more informative buildd logs.
  * Move package under the Debian Printing Team maintenance.
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Luca Niccoli <lultimouomo@gmail.com>  Fri, 03 Jan 2014 19:28:31 +0100

=== debian/control ===
Source: splix
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Luca Niccoli <lultimouomo@gmail.com>
Build-Depends: debhelper (>= 7), libcupsimage2-dev, libjbig-dev
Standards-Version: 4.1.3
Homepage: http://splix.ap2c.org/
Vcs-Git: https://salsa.debian.org/printing-team/splix.git
Vcs-Browser: https://salsa.debian.org/printing-team/splix

Package: printer-driver-splix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cups (>= 1.5.0-3~),
 cups-client, cups-filters (>= 1.0.36)
Replaces: splix (<< 2.0.0+svn299-1)
Breaks: splix (<< 2.0.0+svn299-1)
Description: Driver for Samsung and Xerox SPL2 and SPLc laser printers
 Support for printing to SPL2- and SPLc-based printers. These are most
 of the cheaper Samsung laser printers which do not understand standard
 languages like PostScript or PCL. Both monochrome (ML-15xx, ML-16xx,
 ML-17xx, ML-2xxx) and color (CLP-5xx, CLP-6xx) models are supported.
 Also some rebranded Samsungs like the Xerox Phaser 6100 work with this
 driver.
 .  
 Note that older SPL1-based models (ML-12xx, ML-14xx) do not work. Use
 these printers with the older "gdi" driver which is built into
 GhostScript.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Harden
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif
ifeq ($(origin CXX),default)
CXX = $(DEB_HOST_GNU_TYPE)-g++
endif

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) V=1 drv CC=$(CC) CXX=$(CXX)
	$(MAKE) V=1 DRV_ONLY=1 rastertoqpdl_LIBS="-lcupsimage -lcups -lpthread -ljbig" pstoqpdl_LIBS="-lcupsimage -lcups -ljbig" CC=$(CC) CXX=$(CXX)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) V=1 cleanppd
	$(MAKE) V=1 clean DRV_ONLY=1 
	dh_clean optimized/pstoqpdl optimized/rastertoqpdl optimized/src/* debug/src/* .defs.mk

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) V=1 DESTDIR=$(CURDIR)/debian/printer-driver-splix CUPSPPD=/usr/share/ppd/splix DRV_ONLY=1 install
	install -D --mode=644 debian/splix.ppd-updater $(CURDIR)/debian/printer-driver-splix/usr/share/cups/ppd-updaters/splix.ppd-updater
ifeq ($(derives_from_ubuntu),yes)
	# Install Apport hook on Ubuntu and derivatives
	install -D -m 644 debian/local/apport-hook.py $(CURDIR)/debian/printer-driver-splix/usr/share/apport/package-hooks/source_splix.py
endif

binary-indep: 
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

# Adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source
PACKAGE = splix
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$2 }' | sed 's/svn//' )
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) svn://svn.code.sf.net/p/splix/code/splix \
	get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	GZIP='--best --no-name' tar czf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
	echo "  "$(TARBALL)" created; move it to the right destination to build the package"

## splix 2.0.1

=== ppd/Makefile ===
--- 
+++ 
@@ -9,12 +9,12 @@
 DRVS		:= samsung.drv dell.drv xerox.drv lexmark.drv toshiba.drv
 DELL		:= 1100 1110
 SAMSUNG		:= clp500 clp550 clp510 ml1510 ml1520 ml1610 \
-		   ml1630 ml1640 ml1660 ml1710 ml1740 ml1750 ml1910 ml1915 \
-                   ml2010 ml2015 ml2150 ml2240 ml2250 ml2251 ml2510 ml2525 \
-                   ml2525w ml2550 ml2571 ml2580 ml2580n ml3050 ml3051 \
-		   ml3051nd ml3471nd ml3560 scx3200 scx4100 scx4200 scx4216f \
-		   scx4300 scx4500 scx4521f scx4600 scx4623f scx4623fw \
-		   scx5330n scx5530fn sf565p
+                   ml1630 ml1640 ml1660 ml1710 ml1740 ml1750 ml1910 ml1915 \
+                   ml2010 ml2015 ml2150 ml2160 ml2165 ml2240 ml2250 ml2251 \
+                   ml2510 ml2525 ml2525w ml2550 ml2571 ml2580 ml2580n ml3050 \
+                   ml3051 ml3051nd ml3310 ml3310nd ml3471nd ml3560 scx3200 \
+                   scx4100 scx4200 scx4216f scx4300 scx4500 scx4521f scx4600 \
+                   scx4623f scx4623fw scx5330n scx5530fn sf565p
 #SAMSUNG		+= clp610 clp610nd
 XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3124 ph3130 \
 		   ph3140 ph3150 ph3155 ph3160 ph3420 ph3425 ph5500 ph6100 \
@@ -152,7 +152,7 @@
 	$(call printCmd, $(cmd_install_drv))
 	$(Q)install -d -m 755 ${DESTDIR}${CUPSDRV}
 	$(Q)for filename in ${DRVS}; do \
-		install -m 644 $$filename ${DESTDIR}${CUPSDRV};\
+		install -m 644 $$filename ${DESTDIR}${CUPSDRV}/splix-$$filename;\
 		done;
 endif

=== debian/changelog ===
splix (2.0.1-2) unstable; urgency=medium

  * Team upload
  * d/copyright: Convert to machine-readable format
  * Remove old ways to get orig tarball
  * Move dh_clean file list to d/clean

  [ Alessandro Astone ]
  * Update Homepage urls

 -- Bastian Germann <bage@debian.org>  Sun, 08 Feb 2026 22:34:19 +0100

splix (2.0.1-1) unstable; urgency=medium

  * new upstream release (Closes: #1081545)
  * add patch to support appstream  (Closes: #837987)
    (Thanks a lot to Petter Reinholdtsen for the patch)
  * most patches applied upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Sep 2024 19:05:59 +0200

splix (2.0.0+svn315-8) unstable; urgency=medium


  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + printer-driver-splix: Drop versioned constraint on cups (>= 1.5.0-3~) in
      Depends.
    + printer-driver-splix: Drop versioned constraint on cups-filters (>=
      1.0.36) in Depends.
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Thorsten Alteholz ]
  * debian/control: add myself to Uploaders:
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 13 Sep 2024 18:05:59 +0200

=== debian/control ===
Source: splix
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Luca Niccoli <lultimouomo@gmail.com>, Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13), libcupsimage2-dev, libjbig-dev
Standards-Version: 4.7.0
Homepage: https://openprinting.github.io/splix/
Vcs-Git: https://salsa.debian.org/printing-team/splix.git
Vcs-Browser: https://salsa.debian.org/printing-team/splix

Package: printer-driver-splix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cups,
 cups-client, cups-filters
Replaces: splix (<< 2.0.0+svn299-1)
Breaks: splix (<< 2.0.0+svn299-1)
Description: Driver for Samsung and Xerox SPL2 and SPLc laser printers
 Support for printing to SPL2- and SPLc-based printers. These are most
 of the cheaper Samsung laser printers which do not understand standard
 languages like PostScript or PCL. Both monochrome (ML-15xx, ML-16xx,
 ML-17xx, ML-2xxx) and color (CLP-5xx, CLP-6xx) models are supported.
 Also some rebranded Samsungs like the Xerox Phaser 6100 work with this
 driver.
 .
 Note that older SPL1-based models (ML-12xx, ML-14xx) do not work. Use
 these printers with the older "gdi" driver which is built into
 GhostScript.

=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,8 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	$(MAKE) V=1 cleanppd
-	$(MAKE) V=1 clean DRV_ONLY=1 
-	dh_clean optimized/pstoqpdl optimized/rastertoqpdl optimized/src/* debug/src/* .defs.mk
+	$(MAKE) V=1 clean DRV_ONLY=1
+	dh_clean
 
 install: build
 	dh_testdir
@@ -49,13 +49,14 @@
 	install -D -m 644 debian/local/apport-hook.py $(CURDIR)/debian/printer-driver-splix/usr/share/apport/package-hooks/source_splix.py
 endif
 
-binary-indep: 
+binary-indep:
 	dh_testdir -i
 	dh_testroot -i
 	dh_installchangelogs -i ChangeLog
 	dh_installdocs -i
 	dh_installexamples -i
 	dh_installman -i
+	dh_install -i
 	dh_strip -i
 	dh_compress -i
 	dh_fixperms -i
@@ -73,6 +74,7 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_installman -a
+	dh_install -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
@@ -83,18 +85,4 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
-
-# Adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source
-PACKAGE = splix
-SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
-SVN_REVISION := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$2 }' | sed 's/svn//' )
-TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
-get-orig-source:
-	rm -rf get-orig-source $(TARBALL)
-	mkdir get-orig-source
-	svn export -r $(SVN_REVISION) svn://svn.code.sf.net/p/splix/code/splix \
-	get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
-	GZIP='--best --no-name' tar czf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION).orig
-	rm -rf get-orig-source
-	echo "  "$(TARBALL)" created; move it to the right destination to build the package"
+.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%splix-$1.tar.gz%" \
    https://github.com/OpenPrinting/splix/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
